inferences_delete
DELETE
/inferences/{id}
const url = 'https://api.canopyhq.dev/inferences/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.canopyhq.dev/inferences/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The inference option to delete.
Responses
Section titled “Responses”The inference option was deleted.
No console token, or one that did not verify.
Only an owner of the tenant may delete an inference option.
The tenant owns no inference option by that name.
Installs still reference this inference option. Remove their references or delete those installs first; nothing is cascaded.
Media typeapplication/json
The installs that must stop referencing a resource before it can be deleted.
object
installs
required
Array<string>
message
required
string
Examplegenerated
{ "installs": [ "example" ], "message": "example"}